Skip to main content

Search Messages

Catalog + Curated

This page is generated from the full broker catalog and enhanced with curated examples.

GETdiscord.search_messages

Find messages by query, author, and date ranges.

Request Body

{
"jsonrpc": "2.0",
"id": "discord-search-messages-example",
"method": "tools/call",
"params": {
"name": "discord.search_messages",
"arguments": {
"channel_id": "123456789",
"query": "billing",
"date_from": "2026-03-01",
"date_to": "2026-03-29"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"channel_id": {
"type": "string"
},
"query": {
"type": "string"
},
"author_id": {
"type": "string"
},
"date_from": {
"type": "string",
"format": "date"
},
"date_to": {
"type": "string",
"format": "date"
}
},
"additionalProperties": false
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "discord-search-messages-example",
"method": "tools/call",
"params": {
"name": "discord.search_messages",
"arguments": {
"channel_id": "123456789",
"query": "billing",
"date_from": "2026-03-01",
"date_to": "2026-03-29"
}
}
}'

Example Responses

{
"ok": true,
"results": [
{
"message_id": "ms_91",
"content": "Need billing help",
"author": "user_17"
}
]
}